Subject: ***SPAM*** 80.992 (5) Amaze your chick with your new legendary manhood.

From: "mudjat Hierons" <[email-masked]>
Date: Fri, 1 Feb 2008 19:58:08 -0000

Make your own home sex video, and show off your new big schlong to the world.